This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### /** */ (doc comment)
Examples |
    /**
       Draws two lines which divides the window
       into four quadrants. First draws a horizontal
       line and then the vertical line
    */
    line(0, 50, 100, 50);
    line(50, 0, 50, 100);
Description | Explanatory notes embedded within the code and written to the "index.html" file created when the code is exported. Doc comments (documentation comments) are used for sharing a description of your sketch when the program is exported. Export the code by hitting the "Export" button on the Toolbar.
Syntax |
    /**
      comment
    */
Parameters |
comment | any sequence of characters
Related | // (comment) /* */ (multiline comment)

Updated on October 26, 2013 08:58:34pm PDT